
TYPO3.Flow - Bug # 50088

Status: Resolved Priority: Must have
Author: Benno Weinzierl Category: Package
Created: 2013-07-16 Assigned To:
Updated: 2014-02-13 Due date:
PHP Version:
Has patch: No
Affected Flow version: Git master
Subject: Loading order of packages does in some cases not respect depenencies
Description

Since over half a year i have strange problems with the loading order of packages (and as a result of that the configuration merging).
For example: I install a package (with no dependencies to all other packages) and suddenly i get the problem.

Now i took the time and tracked it down to this method:
PackageManager->sortAvailablePackagesByDependencies()

I think the algorithm used to sort the packages is somehow flawed.

There are two different "logics" used to compare two packages. One by its dependencies (which should work fine) and one with
strcmp() used when no info regarding the dependencies between those two packages is present. I think the problem lies in this two
different "logics". But i dont know what the solution is.

Related issues:
related to TYPO3.Flow - Feature # 54151: Implement proper package dependency ... Resolved 2013-12-02

History
#1 - 2013-09-17 21:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23880

#2 - 2013-12-02 21:07 - Markus Klein

May be solved with #50088

#3 - 2014-02-13 09:55 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

This should be fixed with change I2c948e7a0d5b204f2a40ea2c78bb9db256209e91 for Flow master and 2.1
